/*
 *	File Name:		screenstuff.h
 *	Project:		BARN - Bah's Amiga ReadNews.
 *	Purpose:		Screen attribute defines.
 *	Author:			Jeff Van Epps
 *	Created:		06 Jan 91
 *	Last Modified:	06 Jan 91
 *	Comments:
 *		If compiling on a Sun we try to use the System V version of the
 *		curses library.  On the Amiga we use ANSI sequences.
 *
 *	History:
 *		06 Jan 91/JVE	Created.
 */


# ifdef sun

# include	<curses.h>
# define	Clear_Screen	clear()
# define	UL_ON			attron( A_UNDERLINE )
# define	UL_OFF			attroff( A_UNDERLINE )
# define	INVERSE_ON		attron( A_REVERSE )
# define	INVERSE_OFF		attroff( A_REVERSE )

# else  /* not sun */

# define Clear_Screen printf("\x1b[H\x1b[2J")
# define	UL_ON			printf( "\x1b[4m" )
# define	UL_OFF			printf( "\x1b[0m" )
# define	INVERSE_ON		printf("\x9b\x37;38;40m")
# define	INVERSE_OFF		printf("\x9b\x30;33;40m\033[0m")

# endif /* sun */
